Jockey user experience nightmare for installation of Ubuntu on machines requiring b43 and b43-legacy wireless driver

Bug #578970 reported by beej on 2010-05-11
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Jockey
Undecided
Unassigned
NULL Project
Undecided
Unassigned
New User Experience Team
Wishlist
Unassigned
jockey (Ubuntu)
Undecided
Unassigned

Bug Description

The Jockey user experience is awful when Ubuntu (currently 10.04) is installed on a machine with a wi-fi interface that requires either the b43 or b43-legacy driver. Jockey should automatically find, provide, correctly install and activate the proprietary b43 or b43-legacy wireless drivers. Instead not only does it fail in various ways, no troubleshooting information is provided to the user about how to apply workarounds for the Jockey bug(s), such as the need to connect to the Internet some other way and run the script to work b43-fwcutter package or ndiswrapper or bmcwl sources.

nUboon2Age (nuboon2age) wrote :
Download full text (6.7 KiB)

1) The release of Ubuntu you are using: Luci Lynx, but the problem has been persistent and ongoing since at least Hardy

2) Focus of bug: User Experience with Jockey finding, loading, and activating b43, 43 legacy drivers.

To make sure this an addressable/fixable User Experience bug I'll make the assumption that the intention of the bug reporter is to limit the scope to using Jockey to get Broadcom b43 and b43 legacy drivers working on initial install or upgrade, not on any of the other issues like intermittent connections, wpa connection difficulty, etc., etc.

3) What you expected to happen: That Jockey should load and activate Broadcom b43 and 'b43 Legacy' wifi drivers.

4) What actually happens: Jockey consistently fails to correctly find, load and activate these drivers requiring all manner of research, involving b43-fwcutter, bcmwl source, ndiswrapper, command line fiddling and even sometimes requiring manual make and compile. This is completely unacceptable for Ubuntu to achieve its goals for user friendliness.

This is an appropriate meta bug to file because a comprehensive fix is needed that will ensure that Jockey consistently loads and activates the proprietary Broadcom drivers correctly in a smooth "just works" way.

This is a pervasive problem that is plaguing new the new Ubuntu user's experience. The Ubuntu forums are seeing a steady stream of new Ubuntu users who are trying out the otherwise very user-friendly Lucid Lynx.

To call it "pretty bad" as the bug reporter did is completely understating it. Try "nightmare". Manually working with b43-fwcutter is a nightmare for new users. Not to mention if that DOESN'T work and you actually need to user ndiswrapper instead (as I found I had to after days of arduous trials).

I will come back and post more details of my set up later but for now to try to get the big picture, here's just some of the related reported bugs -- the pattern is very clear. Getting Broadcom wireless to work is a complete nightmare for new Ubuntu users.

355645 Can not set up wireless network on BCM4318 linux (Ubuntu) Confirmed
511379 cannot load Broadcom STA wireless driver (BCM4311)
188975 Broadcom bcm4306 rev 3 chipset not working linux (Ubuntu) Medium In Progress
197558 ssb module breaks BCM4328 with ndiswrapper (regression from 2.6.24-10) linux (Ubuntu) Medium Confirmed
210373 Broadcom 4306 doesn't work! I cannot connect to any wireless network linux (Ubuntu) Medium Incomplete
291271 Jockey Not Detecting Broadcom Wireless Card, When It Should & Provide Use of B43 or STA Driver jockey (Ubuntu) Medium Confirmed
504639 [regression] no wlan on s10e broadcom since update to kernel 2.6.31-17 linux (Ubuntu) Medium Triaged
414751 jockey-gtk crashed with signal 5 in _XError() when loading sta wirelless broadcom driver bcmwl-kernel-source is installed jockey (Ubuntu) Medium Incomplete
552300 Improve apt update error reporting jockey (Ubuntu) Medium Triaged
117729 [ndiswrapper] [broadcom] failure to connect to wpa network after kernel update wpasupplicant (Ubuntu) Low New
191408 Hardware drivers show ...

Read more...

Changed in ubuntu:
status: New → Confirmed
nUboon2Age (nuboon2age) wrote :

Since the fixes required are command-line scriptable (when applied outside of Jockey) this might fall into the "paper cut" category. This infamous Broadcom problem is very widespread to notebook and netbook users in particular so it might be considered to be effecting 'average' users and since it can have such a dramatic effect, many new users have reported they would just not use Ubuntu (or Linux) at all if this is the normal user experience. So please, if it is decided that it is not a "paper cut" is there another User Experience project it could be addressed by?

nUboon2Age (nuboon2age) on 2010-05-16
summary: - user experience for installation of Ubuntu on machines requiring b43 and
- b43-legacy wireless driver needs work
+ user experience nightmare for installation of Ubuntu on machines
+ requiring b43 and b43-legacy wireless driver
nUboon2Age (nuboon2age) on 2010-05-16
description: updated
description: updated
nUboon2Age (nuboon2age) on 2010-05-16
description: updated
nUboon2Age (nuboon2age) on 2010-05-16
summary: - user experience nightmare for installation of Ubuntu on machines
+ Jockey user experience nightmare for installation of Ubuntu on machines
requiring b43 and b43-legacy wireless driver
description: updated

Architecture: i386
CurrentDmesg:
 [ 41.588441] ndiswrapper (iw_set_auth:1602): invalid cmd 12
 [ 42.059314] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
 [ 52.256033] wlan0: no IPv6 routers present
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Dell Inc. Inspiron 2200
Package: jockey-common 0.5.8-0ubuntu8
PackageArchitecture: all
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=f529879a-da19-4ab3-9d0f-cdda072b3c4d ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Tags: lucid
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/31/2005
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0U6962
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd03/31/2005:svnDellInc.:pnInspiron2200:pvr:rvnDellInc.:rn0U6962:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 2200
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated
Vish (vish) wrote :

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

- This is a hardware specific issue , Not a papercut
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.

Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid
Vish (vish) wrote :

@NUboon2Age : Seems like you are new to launchpad , the branch linking and tagging other usability projects for a bug report is not the right way to do it.

You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html.
 You can learn more about bug reporting at https://wiki.ubuntu.com/ReportingBugs.

affects: hundredpapercuts → null
affects: ubuntu → jockey (Ubuntu)
nUboon2Age (nuboon2age) wrote :

@Vish, thank you for your response, but none of that info explains how we should address an Ubuntu User Experience bug, which we both know is different than writing a regular technical bug. It sounds like you are on the hundredpapercuts project, so it seems like you or someone you know would be aware of how to go about this and who to connect with.

The thing is that most all of the procedural fixes have already been worked out and could be accomplished with scripts, so if a Jockey/restricted driver manager developer were to put the time and focus in we could be done with this huge stumbling block to new users for good.

So can you let us know how to get this addressed?

nUboon2Age (nuboon2age) wrote :

http://brainstorm.ubuntu.com/item/12370/

Idea #12370: Developers with focus on user experience

    * Description
    * Report duplicate
    * Help promote this idea!

Written by Madsrh the 20 Aug 08 at 10:54. Category: Look and Feel. Status: New

Rationale
As a desktop OS Ubuntu needs more developers for the user experience part. ...

nUboon2Age (nuboon2age) wrote :

 http://brainstorm.ubuntu.com/idea/24481/

 Idea #24481: Proprietary drivers hard to install

    * Description
    * Report duplicate
    * Help promote this idea!

Written by MasterNetra the 18 Apr 10 at 15:01. Category: System. Related project: Nothing/Others. Status: New

Rationale
My laptop uses a bcm wireless card and every time I end up re-installing Ubuntu wither its a new version, or coming back to it from another distro. Perhaps I just want to use the live-cd for security purposes. Either case I usually end up having to go through the process of installing the bcmwl-kernel and driver of choice and either running the modprobe commands or restarting the machine. Not that big of a deal if you know what your doing and are used to it. But what about the brand new users that don't? Sure they ask in forums (assuming they know about ubuntuforums.org) or waste their time searching Google. But thats not exactly a user friendly option and shouldn't need to be done for something like this.

{Solutions Sugestions follow}

nUboon2Age (nuboon2age) wrote :

Solution posted to the above

#4

Solution #6: Just fix the bugs in Hardware Drivers (jockey-gtk)
Written by aysiu the 27 Apr 10 at 17:18.
This already happens in theory. It just has to be implemented better.

nUboon2Age (nuboon2age) wrote :

As Mark Shuttleworth wrote in
"Design, user experience and development at Canonical"
Wednesday, September 10th, 2008

"There’s also recognition for the scale of the challenge that faces us. When I laid out the goal of “delivering a user experience that can compete with Apple in two years” at OSCON, I had many questions afterwards about how on earth we could achieve that."

http://www.markshuttleworth.com/archives/162

Well here's a piece of that.

Alberto Milone (albertomilone) wrote :

You said that "Jockey fails in various ways". Can you explain how, please?

Also you mention "workarounds for the Jockey bug(s), such as the need to connect to the Internet some other way and run the script to work b43-fwcutter package or ndiswrapper or bmcwl sources". I would be glad if you could describe the exact steps that you followed to get your wireless card to work.

Vish (vish) wrote :

@nUboon2Age: Hi , I would argue that this is a bug and not a usability issue "per-se" .
Yes it is troubling for a new user when stuff doesnt work out of the box. I dont disagree with that.
But if this bug a usability bug , wouldn't that mean any hardware not being detected is a usability issue?

You seem to be aware of the problems in jockey. If you are aware of issues that need minor changes , it would be great if you could mention it. *That* would help solving this bug and the several others you've listed.

Do remember *anyone* can help get a bug fixed. :)

Vish (vish) wrote :

@nUboon2Age: Also to note that we would be shortly announcing a few tags which are relevant to usability issues.
You can follow this blueprint regarding the tags > https://blueprints.launchpad.net/ubuntu/+spec/design-m-heuristics-and-bugs

nUboon2Age (nuboon2age) wrote :

@Alberto Milone wrote: "Also you mention "workarounds for the Jockey bug(s), such as the need to connect to the Internet some other way and run the script to work b43-fwcutter package or ndiswrapper or bmcwl sources". I would be glad if you could describe the exact steps that you followed to get your wireless card to work."

Alberto, i really appreciate the patient and generous response you gave to my heartfelt cry for competent jockey wifi driver installation functionality. Here is what I am doing to try to contribute to this effort.

I and a group from Ubuntu Beginners Team are reviving the Wifix project, which is roughly similar to Jockey (except only focused on Wifi drivers). We hope to accumulate, and maintain a database of wifi adaptors and corresponding drivers and publish it for everyone to use. We hope that Jockey will make use of the resources we provide. We definitely will be studying Jockey to learn all we can and provide whatever patches and code we can help out with.

Please feel free to participate in the Wifix project as we contribute to Jockey also. We are located at: https://launchpad.net/wifix

Daniel Stone (danielstone) wrote :

While hardware not detected is troublesome.. documentation on getting the wireless chip to work is documented.
Ubuntu and linux often need modification to work or function as the end user would like( this is a known learning curve)
The solution can be found easily because it is not just on debian site but several other sites as well.
Even though this may make an end user find the solution this is a fact that must be tackled with many items in the transition to linux
depending on what a user wants to do in linux.

The command line in linux is a common tool. It should be discovered not avoided.

Changed in new-user-experience-team:
status: New → Invalid
Changed in jockey (Ubuntu):
status: Confirmed → Opinion

Hi Daniel, indeed the CL is how i solved my problem, but that is completely
beside the point. We're talking about the User Experience bug on Jockey.
Jockey is often ineffective in installing wifi, there's a bug written
against it. end of story

On Wed, Oct 6, 2010 at 7:28 AM, Daniel Stone <email address hidden>wrote:

> While hardware not detected is troublesome.. documentation on getting the
> wireless chip to work is documented.
> Ubuntu and linux often need modification to work or function as the end
> user would like( this is a known learning curve)
> The solution can be found easily because it is not just on debian site but
> several other sites as well.
> Even though this may make an end user find the solution this is a fact that
> must be tackled with many items in the transition to linux
> depending on what a user wants to do in linux.
>
> The command line in linux is a common tool. It should be discovered not
> avoided.
>
> ** Changed in: new-user-experience-team
> Status: New => Invalid
>
> ** Changed in: jockey (Ubuntu)
> Status: Confirmed => Opinion
>
> --
> Jockey user experience nightmare for installation of Ubuntu on machines
> requiring b43 and b43-legacy wireless driver
> https://bugs.launchpad.net/bugs/578970
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Jockey driver manager: New
> Status in New User Experience Project: Invalid
> Status in NULL Project: Invalid
> Status in “jockey” package in Ubuntu: Opinion
>
> Bug description:
> The Jockey user experience is awful when Ubuntu (currently 10.04) is
> installed on a machine with a wi-fi interface that requires either the b43
> or b43-legacy driver. Jockey should automatically find, provide, correctly
> install and activate the proprietary b43 or b43-legacy wireless drivers.
> Instead not only does it fail in various ways, no troubleshooting
> information is provided to the user about how to apply workarounds for the
> Jockey bug(s), such as the need to connect to the Internet some other way
> and run the script to work b43-fwcutter package or ndiswrapper or bmcwl
> sources.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/jockey/+bug/578970/+subscribe
>

Changed in new-user-experience-team:
importance: Undecided → Wishlist
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers